unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DB, DBTables;

type
  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    Database: TDatabase;
    DataSource1: TDataSource;
    Query1: TQuery;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    PrgPath: String;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  DatabaseUnit;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DatabaseOpen;
  Query1.DatabaseName := DatabasePath;

  PrgDatabase.TransIsolation := tiDirtyRead;

  PrgDatabase.StartTransaction;
  PrgDatabase.Execute('insert into Praca (Nazov, Skratka) values (''ASD'', ''a'')');
  PrgDatabase.Rollback;

  Query1.Open;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DatabaseClose;
end;

end.
